List Channel Template Versions
The version each Template sends on the channel, one per Template; Templates the channel cannot send are omitted. On WhatsApp this is the newest published version approved for the channel's provider, on every other channel the newest published version. Pass conversation_id to apply that conversation's open WhatsApp session window, in which any published version can be sent.
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the related channel.
uuidQuery Parameters
Unique identifier of the related conversation.
uuidUnique identifier of the related template.
uuidFilters by any of the supplied template id values.
items <= 10Filters resources by template key.
Filters by any of the supplied template key values.
Filters resources by template type.
Filters by any of the supplied template type values.
Filters resources by template type using the not_in operator.
Filters resources by template language.
Filters by any of the supplied template language values.
Maximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthAdditional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/channels/497f6eca-6276-4993-bfeb-53cbbbba6f08/template-versions"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "version": 9007199254740991, "published": true, "settings": { "postal": { "duplex": true } }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "template": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "key": "string", "language": "string", "type": "authentication", "request_approvals": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "components": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "order_index": 9007199254740991, "type": "text", "text": "string", "attributes": { "role": "subject" }, "children": [] } ], "placeholders": [ { "type": "input", "component_id": "41afafe5-2a48-424a-baef-34c2ad44ef7b" } ], "text_preview": "string" } ], "next_page_url": "string", "previous_page_url": "string"}